## persalys 16.1+ds

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)

option ( BUILD_PYTHON                 "Build the python module for the library"                               ON )
option ( BUILD_GUI                    "Build the GUI"                                                         ON )
option ( BUILD_SHARED_LIBS            "Build shared libraries"                                                ON )
option (USE_SALOME "use salome" ON)
option (USE_OTFMI "use otfmi" ON)
option (USE_OTMORRIS "use otmorris" ON)
option (USE_SPHINX "use sphinx" ON)
option (USE_PARAVIEW "use ParaView" ON)
set (PERSALYS_QT_MAJOR_VERSION 5 CACHE STRING "Qt version")

# By default, build in Release mode. Must appear before project() command
set( CMAKE_BUILD_TYPE Release CACHE STRING "Build type")

project (persalys)

if (POLICY CMP0020)
  # Automatically link Qt executables to qtmain target on Windows
  cmake_policy (SET CMP0020 NEW)
endif ()

if (POLICY CMP0058)
  # Ninja requires custom command byproducts to be explicit
  cmake_policy (SET CMP0058 NEW)
endif()

if (POLICY CMP0042)
  # MACOSX_RPATH is enabled by default
  cmake_policy(SET CMP0042 NEW)
endif()

string (TOLOWER ${CMAKE_PROJECT_NAME} PACKAGE_NAME)

# set module dir to find custom scripts
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

include (GNUInstallDirs)

set (PERSALYS_LIBRARY_PATH ${CMAKE_INSTALL_LIBDIR})
set (PERSALYS_BIN_PATH ${CMAKE_INSTALL_BINDIR})
set (PERSALYS_INCLUDE_PATH ${CMAKE_INSTALL_INCLUDEDIR})
set (PERSALYS_SWIG_INCLUDE_PATH ${PERSALYS_INCLUDE_PATH}/${PACKAGE_NAME}/swig)
set (PERSALYS_DATA_PATH ${CMAKE_INSTALL_DATAROOTDIR})
set (PERSALYS_CONFIG_CMAKE_PATH ${CMAKE_INSTALL_LIBDIR}/cmake/persalys)
set (PERSALYS_DOC_PATH ${CMAKE_INSTALL_DOCDIR})

find_package (OpenTURNS 1.23 CONFIG REQUIRED)
get_target_property (ot_features OT OPENTURNS_ENABLED_FEATURES)
if (NOT ot_features MATCHES "hdf5")
  message (FATAL_ERROR "OpenTURNS lacks hdf5 support")
endif()
message (STATUS "Found OpenTURNS: ${OPENTURNS_ROOT_DIR} (found version \"${OPENTURNS_VERSION_STRING}\")")
list (APPEND PERSALYS_PUBLIC_LIBRARIES ${OPENTURNS_LIBRARIES})

if (NOT BUILD_SHARED_LIBS)
  list (APPEND PERSALYS_DEFINITIONS "-DPERSALYS_STATIC -DPYINTERP_STATIC -DPYCONSOLE_STATIC")
endif ()

if (MSVC)
  # Disable some warnings
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4197 /wd4244 /wd4251 /wd4267 /wd4996")
  # for swig
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
endif ()

find_package (Boost CONFIG COMPONENTS locale program_options REQUIRED)
message(STATUS "Found Boost: ${Boost_DIR} (found suitable version \"${Boost_VERSION}\")")

find_package (Python 3.5 COMPONENTS Interpreter Development REQUIRED)
list (APPEND PERSALYS_PUBLIC_LIBRARIES ${Python_LIBRARIES})

if (BUILD_GUI)

  find_package (Qt${PERSALYS_QT_MAJOR_VERSION} COMPONENTS Widgets Test OpenGL CONFIG)
  set (QT_LIBRARIES ${Qt${PERSALYS_QT_MAJOR_VERSION}Widgets_LIBRARIES} ${Qt${PERSALYS_QT_MAJOR_VERSION}OpenGL_LIBRARIES} ${Qt${PERSALYS_QT_MAJOR_VERSION}Test_LIBRARIES})

  if (Qt${PERSALYS_QT_MAJOR_VERSION}Widgets_VERSION VERSION_LESS 5.15)
    macro (qt_wrap_cpp)
      qt5_wrap_cpp (${ARGN})
    endmacro ()

    macro (qt_add_resources)
      qt5_add_resources (${ARGN})
    endmacro ()

    macro (qt_generate_moc)
      qt5_generate_moc (${ARGN})
    endmacro ()
  endif ()

  find_package (Qwt 6 REQUIRED)

  if (USE_PARAVIEW)
    find_package (ParaView 5.8 CONFIG)
    if (ParaView_FOUND)
      message(STATUS "Found ParaView: ${ParaView_DIR} (found version \"${ParaView_VERSION}\")")
      list (APPEND PERSALYS_DEFINITIONS -DPERSALYS_HAVE_PARAVIEW)
      if (ParaView_VERSION VERSION_GREATER_EQUAL 5.11)
        list (APPEND PERSALYS_DEFINITIONS -DPERSALYS_HAVE_PARAVIEW511)
      endif ()
    endif ()
  endif ()

endif ()

if (USE_SALOME)
  find_package (SalomeKERNEL CONFIG)
  find_package (Qt5WebEngine CONFIG)
  find_package (Qt5WebEngineWidgets CONFIG)
  find_package (SalomeGUI CONFIG)
  find_package (SalomeYACS CONFIG)
  find_package (Py2cpp CONFIG)
  find_package (ydefx CONFIG)
  if (SalomeYACS_FOUND AND ydefx_FOUND)
    list (APPEND PERSALYS_DEFINITIONS ${YACS_DEFINITIONS})
    list (APPEND PERSALYS_DEFINITIONS -DPERSALYS_HAVE_YACS)
    include_directories (${YACS_INCLUDE_DIRS})
    list (APPEND PERSALYS_PUBLIC_LIBRARIES ydefx)
  endif ()

  find_package (AdaoCppLayer)
  if (AdaoCppLayer_FOUND)
    list (APPEND PERSALYS_DEFINITIONS -DPERSALYS_HAVE_ADAO_CPP_LAYER)
    include_directories (${AdaoCppLayer_INCLUDE_DIRS})
    list (APPEND PERSALYS_PRIVATE_LIBRARIES ${AdaoCppLayer_LIBRARIES})
  endif ()
endif ()

if (USE_OTFMI)
  include (FindPythonModule)
  find_python_module (otfmi)
  if (OTFMI_FOUND)
    list (APPEND PERSALYS_DEFINITIONS -DPERSALYS_HAVE_OTFMI)
    list (APPEND PERSALYS_DEFINITIONS -DOTFMI_VERSION_STRING="${OTFMI_VERSION_STRING}")
  endif ()
endif ()

if (USE_OTMORRIS)
  find_package (OTMORRIS 0.14 CONFIG)
  if (OTMORRIS_FOUND)
    message (STATUS "Found OTMORRIS: ${OTMORRIS_DIR} (found version \"${OTMORRIS_VERSION}\")")
    list (APPEND PERSALYS_DEFINITIONS -DPERSALYS_HAVE_OTMORRIS)
    list (APPEND PERSALYS_DEFINITIONS -DOTMORRIS_VERSION_STRING="${OTMORRIS_VERSION}")
    list (APPEND PERSALYS_PRIVATE_LIBRARIES ${OTMORRIS_LIBRARIES})
  endif ()
endif ()

list (APPEND PERSALYS_DEFINITIONS -DDOCUMENTATION_INSTALL_PATH="${PERSALYS_DOC_PATH}")

if (BUILD_PYTHON)
  find_package (SWIG 3)
  if (SWIG_FOUND)
    include (${SWIG_USE_FILE})
  endif ()

  include (FindPythonModule)
  if (NOT TARGET Python::Module)
    include (TargetLinkLibrariesWithDynamicLookup)
  endif ()

  if (USE_SPHINX)
    find_program (SPHINX_EXECUTABLE NAMES sphinx-build DOC "Sphinx Documentation Builder (sphinx-doc.org)")
    if (NOT SPHINX_EXECUTABLE)
      message (STATUS "Could NOT find sphinx-build executable")
    endif ()
    find_program (DVISVGM_EXECUTABLE NAMES dvisvgm DOC "dvi to svg converter")
    find_program (DVIPNG_EXECUTABLE NAMES dvipng DOC "dvi to png converter")
    if (NOT (DVISVGM_EXECUTABLE OR DVIPNG_EXECUTABLE))
      message (STATUS "Could NOT find dvisvgm|dvipng executable")
    endif ()
    if (SPHINX_EXECUTABLE AND (DVISVGM_EXECUTABLE OR DVIPNG_EXECUTABLE))
      find_python_module (sphinx 1.8)
      find_python_module (numpydoc 0.7)
    endif ()
    if (NOT SPHINX_EXECUTABLE OR NOT SPHINX_FOUND OR NOT NUMPYDOC_FOUND)
      set (SPHINX_FOUND FALSE)
      message (STATUS "Disabling documentation (requires dvisvgm/sphinx/numpydoc)")
    endif ()
  endif ()

  if (NOT DEFINED PYTHON_SITE_PACKAGES AND NOT CMAKE_CROSSCOMPILING)
    execute_process (COMMAND ${Python_EXECUTABLE} -c "import sysconfig, os; print(sysconfig.get_path('platlib').replace(sysconfig.get_path('data'), '').lstrip(os.path.sep))"
                    OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE)
    file (TO_CMAKE_PATH "${PYTHON_SITE_PACKAGES}" PYTHON_SITE_PACKAGES)
  endif ()

  if (Python_FOUND)
    if (DEFINED PYTHON_SITE_PACKAGES)
      set (PERSALYS_PYTHON_MODULE_PATH "${PYTHON_SITE_PACKAGES}")
    else ()
     if (WIN32)
       set (PERSALYS_PYTHON_MODULE_PATH Lib/site-packages)
     else ()
       set (PERSALYS_PYTHON_MODULE_PATH ${CMAKE_INSTALL_LIBDIR}/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/site-packages)
      endif ()
    endif ()
  endif ()
endif ()

# WARNING: This is where variables without PERSALYS_ prefix are defined !
foreach (_var PYTHON_MODULE_PATH LIBRARY_PATH INCLUDE_PATH CONFIG_CMAKE_PATH)
  if (IS_ABSOLUTE PERSALYS_${_var})
    set (${_var} ${PERSALYS_${_var}})
  else ()
    set (${_var} ${CMAKE_INSTALL_PREFIX}/${PERSALYS_${_var}})
  endif ()
endforeach ()

# RPATH settings
set (CMAKE_INSTALL_RPATH ${LIBRARY_PATH} ${OTMORRIS_LIBRARY_DIRS})
set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
if (POLICY CMP0042)
  # MACOSX_RPATH is enabled by default
  cmake_policy(SET CMP0042 NEW)
endif()
if (POLICY CMP0078)
  # UseSWIG generates standard target names
  cmake_policy(SET CMP0078 NEW)
endif()
if (POLICY CMP0086)
  # UseSWIG honors SWIG_MODULE_NAME via -module flag
  cmake_policy(SET CMP0086 NEW)
endif()

# Some useful macros to ease CMakeLists.txt file writing
set (SOURCEFILES "" CACHE INTERNAL "List of source files to compile")
macro (ot_add_source_file FILENAME)
  set (sf ${SOURCEFILES} ${CMAKE_CURRENT_SOURCE_DIR}/${FILENAME})
  set (SOURCEFILES ${sf} CACHE INTERNAL "List of source files to compile")
endmacro ()

macro (ot_install_header_file FILENAME)
  install (FILES ${PACKAGE_NAME}/${FILENAME} DESTINATION ${PERSALYS_INCLUDE_PATH}/${PACKAGE_NAME})
endmacro ()

macro (ot_install_swig_file FILENAME)
	install (FILES ${FILENAME} DESTINATION ${PERSALYS_SWIG_INCLUDE_PATH})
endmacro ()

set ( INTERNAL_INCLUDE_DIRS "" CACHE INTERNAL "List of directories with header files needed for build" )
macro ( ot_add_current_dir_to_include_dirs )
  set ( inc_dirs ${INTERNAL_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR} )
  set ( INTERNAL_INCLUDE_DIRS ${inc_dirs} CACHE INTERNAL "List of directories with header files needed for build" )
endmacro ( ot_add_current_dir_to_include_dirs )


set ( CPACK_PACKAGE_NAME          ${PACKAGE_NAME} )
set ( CPACK_PACKAGE_VERSION_MAJOR 16              )
set ( CPACK_PACKAGE_VERSION_MINOR 1              )
set ( CPACK_PACKAGE_VERSION_PATCH                )
set ( CPACK_SOURCE_GENERATOR      "TGZ;TBZ2"     )
set ( CPACK_BINARY_STGZ           OFF CACHE BOOL "STGZ")
set ( CPACK_BINARY_TBZ2           ON  CACHE BOOL "TBZ2")
set ( CPACK_BINARY_TGZ            ON  CACHE BOOL "TGZ")
set ( CPACK_BINARY_TZ             OFF CACHE BOOL "TZ")
set ( CPACK_SOURCE_IGNORE_FILES "/.git;/build;.*~;.*exe;.*AppImage;.*doc.zip;${CPACK_SOURCE_IGNORE_FILES}" )
set ( PACKAGE_NAME           ${CPACK_PACKAGE_NAME} )
set ( PACKAGE_VERSION        ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR} )
if ( CPACK_PACKAGE_VERSION_PATCH )
  set ( PACKAGE_VERSION       ${PACKAGE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH} )
endif ()
set ( CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION} )

# uninstall target
configure_file (
  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
  IMMEDIATE @ONLY
)

add_custom_target ( uninstall
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

set ( PERSALYS_LIBRARY                 persalys )
set ( PERSALYS_LIBRARIES ${OPENTURNS_LIBRARIES} )
list ( APPEND PERSALYS_LIBRARIES ${PERSALYS_LIBRARY} )
set ( PERSALYS_LIBRARY_DIRS ${OPENTURNS_LIBRARY_DIRS})
if (OTMORRIS_FOUND)
  list ( APPEND PERSALYS_LIBRARY_DIRS ${OTMORRIS_LIBRARY_DIRS} )
endif ()
list ( APPEND PERSALYS_LIBRARY_DIRS ${LIBRARY_PATH} )
set ( PERSALYS_INCLUDE_DIR ${PERSALYS_INCLUDE_PATH} )
set ( PERSALYS_INCLUDE_DIRS ${PERSALYS_INCLUDE_DIR} )
set ( PERSALYS_ROOT_DIR       ${CMAKE_INSTALL_PREFIX} )
list ( APPEND PERSALYS_INCLUDE_DIRS ${OPENTURNS_INCLUDE_DIRS} )
set ( PERSALYS_VERSION_STRING ${PACKAGE_VERSION} )
set ( PERSALYS_VERSION_MAJOR ${CPACK_PACKAGE_VERSION_MAJOR} )
set ( PERSALYS_VERSION_MINOR ${CPACK_PACKAGE_VERSION_MINOR} )
set ( PERSALYS_VERSION_PATCH ${CPACK_PACKAGE_VERSION_PATCH} )

list (APPEND PERSALYS_DEFINITIONS -DPERSALYS_VERSION="${PERSALYS_VERSION_STRING}")
list (APPEND PERSALYS_DEFINITIONS -DINSTALL_PATH="${CMAKE_INSTALL_PREFIX}")

add_definitions (${PERSALYS_DEFINITIONS})

# The tests can't be run if this function is absent
enable_testing ()
add_custom_target ( tests COMMENT "Build tests" )
add_custom_target ( check COMMENT "Run pre-installation tests" )
add_custom_target ( installcheck COMMENT "Run post-installation tests" )

add_subdirectory ( lib )

add_subdirectory ( translations )

add_dependencies ( check cppcheck )

if (BUILD_GUI)
  add_subdirectory (main)
endif ()

if (Python_FOUND AND SWIG_FOUND)
  add_subdirectory ( python )
  add_dependencies ( installcheck pyinstallcheck )
endif ()


include(CMakePackageConfigHelpers)
configure_package_config_file (
    cmake/PersalysConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/PersalysConfig.cmake

=== lib/src/base/CMakeLists.txt ===

ot_add_current_dir_to_include_dirs ()
include_directories (${INTERNAL_INCLUDE_DIRS})

set(BASE_SOURCEFILES DistributionDictionary.cxx
                     BaseTools.cxx
                     AppliException.cxx
                     Observer.cxx Observable.cxx Study.cxx StudyImplementation.cxx
                     Variable.cxx Input.cxx Output.cxx
                     DataSample.cxx
                     DataImport.cxx
                     DataModel.cxx
                     MeshModel.cxx MeshModelImplementation.cxx
                     GridMeshModel.cxx
                     ImportedMeshModel.cxx
                     PhysicalModel.cxx PhysicalModelImplementation.cxx SymbolicPhysicalModel.cxx
                     PythonPhysicalModel.cxx
                     MetaModel.cxx
                     SymbolicFieldModel.cxx
                     PythonScriptEvaluation.cxx
                     PythonScriptFieldFunction.cxx
                     PythonFieldModel.cxx
                     DesignOfExperimentImplementation.cxx DesignOfExperiment.cxx
                     FixedDesignOfExperiment.cxx
                     GridDesignOfExperiment.cxx
                     ImportedDesignOfExperiment.cxx
                     ProbabilisticDesignOfExperiment.cxx
                     AnalysisResult.cxx
                     EvaluationResult.cxx
                     AnalysisImplementation.cxx Analysis.cxx SimulationAnalysis.cxx
                     PhysicalModelAnalysis.cxx DesignOfExperimentAnalysis.cxx
                     WithStopCriteriaAnalysis.cxx
                     DataAnalysisResult.cxx DataAnalysis.cxx
                     ModelEvaluation.cxx
                     FieldModelEvaluation.cxx
                     DesignOfExperimentEvaluation.cxx
                     MonteCarloAnalysis.cxx TaylorExpansionMomentsResult.cxx
                     FieldMonteCarloAnalysis.cxx FieldMonteCarloResult.cxx
                     TaylorExpansionMomentsAnalysis.cxx SobolResult.cxx SobolAnalysis.cxx
                     SRCResult.cxx SRCAnalysis.cxx
                     LimitStateImplementation.cxx LimitState.cxx
                     ReliabilityAnalysis.cxx
                     SimulationInterface.cxx
                     SimulationReliabilityAnalysis.cxx
                     SimulationReliabilityResult.cxx
                     MonteCarloReliabilityAnalysis.cxx
                     ImportanceSamplingAnalysis.cxx
                     ApproximationAnalysis.cxx
                     FORMAnalysisResult.cxx FORMAnalysis.cxx
                     SORMAnalysisResult.cxx SORMAnalysis.cxx
                     FORMImportanceSamplingAnalysis.cxx
                     MetaModelAnalysis.cxx
                     MetaModelValidationResult.cxx
                     MetaModelAnalysisResult.cxx
                     FunctionalChaosAnalysisResult.cxx
                     FunctionalChaosAnalysis.cxx
                     KrigingAnalysisResult.cxx
                     KrigingAnalysis.cxx
                     PolynomialRegressionAnalysisResult.cxx
                     PolynomialRegressionAnalysis.cxx
                     FittingTestResult.cxx
                     InferenceResult.cxx
                     InferenceAnalysis.cxx
                     CopulaInferenceSetResult.cxx
                     CopulaInferenceResult.cxx
                     CopulaInferenceAnalysis.cxx
                     OptimizationAnalysis.cxx
                     MultiObjectiveOptimizationAnalysis.cxx
                     PythonEnvironment.cxx
                     Observations.cxx
                     CalibrationAnalysis.cxx
                     CalibrationAnalysisResult.cxx
                     CouplingInputFile.cxx
                     CouplingResourceFile.cxx
                     CouplingOutputFile.cxx
                     CouplingStep.cxx
                     CouplingPhysicalModel.cxx
                     FileMemoizeEvaluation.cxx
                     FileMemoizeFunction.cxx
                     DataCleaning.cxx
                     MorrisAnalysis.cxx
                     MorrisResult.cxx
                     FMIPhysicalModel.cxx
                     FMUInfo.cxx
                     AnsysParser.cxx
                     )
if (SalomeYACS_FOUND)
  list (APPEND BASE_SOURCEFILES YACSPhysicalModel.cxx YACSEvaluation.cxx YACSCouplingPhysicalModel.cxx)
  set_source_files_properties (YACSPhysicalModel.cxx YACSEvaluation.cxx YACSCouplingPhysicalModel.cxx PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)
endif ()

if (AdaoCppLayer_FOUND)
  list (APPEND BASE_SOURCEFILES AdaoCalibration.cxx)
endif ()

ot_install_header_file ( DistributionDictionary.hxx )
ot_install_header_file ( BaseTools.hxx )
ot_install_header_file ( AppliException.hxx )
ot_install_header_file ( Variable.hxx )
ot_install_header_file ( Input.hxx )
ot_install_header_file ( Output.hxx )
ot_install_header_file ( DataSample.hxx )
ot_install_header_file ( DataImport.hxx )
ot_install_header_file ( MeshModel.hxx )
ot_install_header_file ( MeshModelImplementation.hxx )
ot_install_header_file ( GridMeshModel.hxx )
ot_install_header_file ( ImportedMeshModel.hxx )
ot_install_header_file ( PhysicalModel.hxx )
ot_install_header_file ( PhysicalModelImplementation.hxx )
ot_install_header_file ( SymbolicPhysicalModel.hxx )
ot_install_header_file ( PythonPhysicalModel.hxx )
ot_install_header_file ( SymbolicFieldModel.hxx )
ot_install_header_file ( PythonScriptEvaluation.hxx )
ot_install_header_file ( PythonScriptFieldFunction.hxx )
ot_install_header_file ( PythonFieldModel.hxx )
ot_install_header_file ( MetaModel.hxx )
ot_install_header_file ( DesignOfExperimentImplementation.hxx )
ot_install_header_file ( DesignOfExperiment.hxx )
ot_install_header_file ( FixedDesignOfExperiment.hxx )
ot_install_header_file ( GridDesignOfExperiment.hxx )
ot_install_header_file ( ImportedDesignOfExperiment.hxx )
ot_install_header_file ( ProbabilisticDesignOfExperiment.hxx )
ot_install_header_file ( DataModel.hxx )
ot_install_header_file ( AnalysisResult.hxx )
ot_install_header_file ( EvaluationResult.hxx )
ot_install_header_file ( AnalysisImplementation.hxx )
ot_install_header_file ( PhysicalModelAnalysis.hxx )
ot_install_header_file ( DesignOfExperimentAnalysis.hxx )
ot_install_header_file ( Analysis.hxx )
ot_install_header_file ( SimulationAnalysis.hxx )
ot_install_header_file ( WithStopCriteriaAnalysis.hxx )
ot_install_header_file ( DataAnalysisResult.hxx )
ot_install_header_file ( DataAnalysis.hxx )
ot_install_header_file ( DesignOfExperimentEvaluation.hxx )
ot_install_header_file ( ModelEvaluation.hxx )
ot_install_header_file ( FieldModelEvaluation.hxx )
ot_install_header_file ( MonteCarloAnalysis.hxx )
ot_install_header_file ( FieldMonteCarloResult.hxx )
ot_install_header_file ( FieldMonteCarloAnalysis.hxx )
ot_install_header_file ( TaylorExpansionMomentsAnalysis.hxx )
ot_install_header_file ( TaylorExpansionMomentsResult.hxx )
ot_install_header_file ( SobolAnalysis.hxx )
ot_install_header_file ( SobolResult.hxx )
ot_install_header_file ( SRCAnalysis.hxx )
ot_install_header_file ( SRCResult.hxx )
ot_install_header_file ( Study.hxx )
ot_install_header_file ( StudyImplementation.hxx )
ot_install_header_file ( Observable.hxx )
ot_install_header_file ( Observer.hxx )
ot_install_header_file ( LimitStateImplementation.hxx )
ot_install_header_file ( LimitState.hxx )
ot_install_header_file ( ReliabilityAnalysis.hxx )
ot_install_header_file ( SimulationInterface.hxx )
ot_install_header_file ( SimulationReliabilityAnalysis.hxx )
ot_install_header_file ( SimulationReliabilityResult.hxx )
ot_install_header_file ( MonteCarloReliabilityAnalysis.hxx )
ot_install_header_file ( ImportanceSamplingAnalysis.hxx )
ot_install_header_file ( ApproximationAnalysis.hxx )
ot_install_header_file ( FORMAnalysis.hxx )
ot_install_header_file ( FORMAnalysisResult.hxx )
ot_install_header_file ( SORMAnalysis.hxx )
ot_install_header_file ( SORMAnalysisResult.hxx )
ot_install_header_file ( FORMImportanceSamplingAnalysis.hxx )
ot_install_header_file ( MetaModelValidationResult.hxx )
ot_install_header_file ( MetaModelAnalysisResult.hxx )
ot_install_header_file ( MetaModelAnalysis.hxx )
ot_install_header_file ( FunctionalChaosAnalysisResult.hxx )
ot_install_header_file ( FunctionalChaosAnalysis.hxx )
ot_install_header_file ( KrigingAnalysisResult.hxx )
ot_install_header_file ( KrigingAnalysis.hxx )
ot_install_header_file ( PolynomialRegressionAnalysisResult.hxx )
ot_install_header_file ( PolynomialRegressionAnalysis.hxx )
ot_install_header_file ( FittingTestResult.hxx )
ot_install_header_file ( InferenceResult.hxx )
ot_install_header_file ( InferenceAnalysis.hxx )
ot_install_header_file ( CopulaInferenceSetResult.hxx )
ot_install_header_file ( CopulaInferenceResult.hxx )
ot_install_header_file ( CopulaInferenceAnalysis.hxx )
ot_install_header_file ( OptimizationAnalysis.hxx )
ot_install_header_file ( MultiObjectiveOptimizationAnalysis.hxx )
ot_install_header_file ( PythonEnvironment.hxx )
ot_install_header_file ( LaunchParametersVisitor.hxx )
ot_install_header_file ( Observations.hxx )
ot_install_header_file ( CalibrationAnalysis.hxx )
ot_install_header_file ( CalibrationAnalysisResult.hxx )
ot_install_header_file ( CouplingInputFile.hxx )
ot_install_header_file ( CouplingResourceFile.hxx )
ot_install_header_file ( CouplingOutputFile.hxx )
ot_install_header_file ( CouplingStep.hxx )
ot_install_header_file ( DataCleaning.hxx )
ot_install_header_file (FMIPhysicalModel.hxx)
ot_install_header_file (FMUInfo.hxx)
ot_install_header_file (AnsysParser.hxx)
ot_install_header_file (MorrisAnalysis.hxx)
ot_install_header_file (MorrisResult.hxx)
ot_install_header_file (YACSPhysicalModel.hxx)
ot_install_header_file (YACSEvaluation.hxx)


add_library (persalysbase ${BASE_SOURCEFILES})
target_compile_features (persalysbase PRIVATE cxx_lambdas)

if (BUILD_SHARED_LIBS)
  target_compile_definitions (persalysbase PRIVATE PERSALYS_BASE_DLL_EXPORTS)
else ()
  target_compile_definitions (persalysbase PUBLIC PERSALYS_BASE_STATIC)
endif ()

target_include_directories (persalysbase PRIVATE ${Boost_INCLUDE_DIRS})
target_include_directories (persalysbase PRIVATE ${Python_INCLUDE_DIRS})

if (OTMORRIS_FOUND)
  target_include_directories (persalysbase PRIVATE ${OTMORRIS_INCLUDE_DIRS})
endif ()

if (NOT DEFINED LIB_VERSION)
  set (LIB_VERSION 0.0.0)
endif ()
if (NOT DEFINED LIB_SOVERSION)
  set (LIB_SOVERSION 0)
endif ()
set_target_properties (persalysbase PROPERTIES VERSION ${LIB_VERSION})
set_target_properties (persalysbase PROPERTIES SOVERSION ${LIB_SOVERSION})
set_target_properties (persalysbase PROPERTIES CXX_STANDARD 17)

if (CMAKE_CXX_COMPILER_ID MATCHES "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.1)
  target_link_libraries (persalysbase PRIVATE stdc++fs)
endif ()

target_link_libraries (persalysbase PUBLIC ${PERSALYS_PUBLIC_LIBRARIES})
target_link_libraries (persalysbase PRIVATE ${PERSALYS_PRIVATE_LIBRARIES})
target_link_libraries (persalysbase PRIVATE Boost::locale)

install (TARGETS persalysbase
  RUNTIME DESTINATION ${PERSALYS_BIN_PATH}
  LIBRARY DESTINATION ${PERSALYS_LIBRARY_PATH}
  ARCHIVE DESTINATION ${PERSALYS_LIBRARY_PATH}
)

=== lib/src/view/CMakeLists.txt ===
add_subdirectory (PyInterp)
add_subdirectory (PyConsole)
add_subdirectory (utils)
add_subdirectory (plot)

set (SOURCEFILES "" CACHE STRING "" FORCE)

ot_add_current_dir_to_include_dirs ()

ot_add_source_file ( MainWindow.cxx )
ot_add_source_file ( MainWidget.cxx )
ot_add_source_file ( ToolBar.cxx )
ot_add_source_file ( Actions.cxx )
ot_add_source_file ( MenuBar.cxx )
ot_add_source_file ( StatusBar.cxx )
ot_add_source_file ( SubWindow.cxx )
ot_add_source_file ( DiagramWindow.cxx )
ot_add_source_file ( Wizard.cxx )
ot_add_source_file ( SubWindowsStackedWidget.cxx )
ot_add_source_file ( StudyManager.cxx )
ot_add_source_file ( WindowFactory.cxx )
ot_add_source_file ( Controller.cxx )
ot_add_source_file ( PhysicalModelDiagramWindow.cxx )
ot_add_source_file ( FieldModelDiagramWindow.cxx )
ot_add_source_file ( DataModelDiagramWindow.cxx )
ot_add_source_file ( DataModelWindow.cxx )
ot_add_source_file ( DataAnalysisWindow.cxx )
ot_add_source_file ( DataAnalysisResultWindow.cxx )
ot_add_source_file ( AnalysisWizard.cxx )
ot_add_source_file ( WelcomeWindow.cxx )
ot_add_source_file ( StudyWindow.cxx )
ot_add_source_file ( MeshWindow.cxx )
ot_add_source_file ( BlockSizeGroupBox.cxx )
ot_add_source_file ( MinMaxTableGroupBox.cxx )
ot_add_source_file ( MomentsEstimatesTableGroupBox.cxx )
ot_add_source_file ( OutputsSelectionGroupBox.cxx )
ot_add_source_file ( ParametersWidget.cxx )
ot_add_source_file ( ResultWindow.cxx )
ot_add_source_file ( AnalysisWindow.cxx )
ot_add_source_file ( DesignOfExperimentIntroPage.cxx )
ot_add_source_file ( GridDesignPage.cxx )
ot_add_source_file ( ProbabilisticDesignPage.cxx )
ot_add_source_file ( DesignOfExperimentInputWindow.cxx )
ot_add_source_file ( DesignOfExperimentEvaluationWizard.cxx )
ot_add_source_file ( ImportedDesignPage.cxx )
ot_add_source_file ( PhysicalModelWindowWidget.cxx )
ot_add_source_file ( SymbolicPhysicalModelWindow.cxx )
ot_add_source_file ( PythonPhysicalModelWindow.cxx )
ot_add_source_file ( MetaModelWindow.cxx )
if (SalomeYACS_FOUND)
  ot_add_source_file ( YACSPhysicalModelWindow.cxx)
endif ()
if (OTFMI_FOUND)
  ot_add_source_file ( FMIPhysicalModelWindow.cxx)
endif ()
ot_add_source_file ( CheckModelButtonGroup.cxx )
ot_add_source_file ( ProbabilisticModelWindow.cxx )
ot_add_source_file ( DesignOfExperimentWizard.cxx )
ot_add_source_file ( DesignOfExperimentWindow.cxx )
ot_add_source_file ( StudyTreeView.cxx )
ot_add_source_file ( ModelEvaluationWizard.cxx )
ot_add_source_file ( ModelEvaluationResultWindow.cxx )
ot_add_source_file ( CentralTendencyIntroPage.cxx )
ot_add_source_file ( MonteCarloPage.cxx )
ot_add_source_file ( CentralTendencyWizard.cxx )
ot_add_source_file ( MonteCarloResultWindow.cxx )
ot_add_source_file ( TaylorExpansionMomentsResultWindow.cxx )
ot_add_source_file ( SensitivityResultWidget.cxx )
ot_add_source_file ( SobolResultWindow.cxx )
ot_add_source_file ( SRCResultWindow.cxx )
ot_add_source_file ( SensitivityIntroPage.cxx )
ot_add_source_file ( SobolPage.cxx )
ot_add_source_file ( SRCPage.cxx )
ot_add_source_file ( SensitivityAnalysisWizard.cxx )
ot_add_source_file ( LimitStateWindow.cxx )
ot_add_source_file ( ReliabilityIntroPage.cxx )
ot_add_source_file ( SimulationReliabilityPage.cxx )
ot_add_source_file ( ApproximationReliabilityPage.cxx )
ot_add_source_file ( ReliabilityAnalysisWizard.cxx )
ot_add_source_file ( SimulationReliabilityResultWindow.cxx )
ot_add_source_file ( ApproximationResultWindow.cxx )
ot_add_source_file ( ApproximationResultTabWidget.cxx )
ot_add_source_file ( StopCriteriaGroupBox.cxx )
ot_add_source_file ( ParametersDefinitionWizard.cxx )
ot_add_source_file ( MetaModelIntroPage.cxx )
ot_add_source_file ( KrigingPage.cxx )
ot_add_source_file ( FunctionalChaosPage.cxx )
ot_add_source_file ( PolynomialRegressionPage.cxx )
ot_add_source_file ( MetaModelAnalysisWizard.cxx )
ot_add_source_file ( MetaModelExportWizard.cxx )
ot_add_source_file ( MetaModelValidationPage.cxx )
ot_add_source_file ( MetaModelValidationWidget.cxx )
ot_add_source_file ( FunctionalChaosResultWindow.cxx )
ot_add_source_file ( KrigingResultWindow.cxx )
ot_add_source_file ( PolynomialRegressionResultWindow.cxx )
ot_add_source_file ( InferenceWizard.cxx )
ot_add_source_file ( InferenceResultWindow.cxx )
ot_add_source_file ( DistributionsForInferenceWidget.cxx )
ot_add_source_file ( InferenceResultWizard.cxx )
ot_add_source_file ( InferenceResultWidget.cxx )
ot_add_source_file ( CopulaParametersTabWidget.cxx )
ot_add_source_file ( CopulaInferenceResultWidget.cxx )
ot_add_source_file ( CopulaInferenceResultWindow.cxx )
ot_add_source_file ( OptimizationAlgoPage.cxx )
ot_add_source_file ( ConstraintsPage.cxx )
ot_add_source_file ( OptimizationWizard.cxx )
ot_add_source_file ( OptimizationResultWindow.cxx )
ot_add_source_file ( MultiObjectiveOptimizationResultWindow.cxx )
ot_add_source_file ( MultiObjectiveOptimizationWizard.cxx )
ot_add_source_file ( WidgetBoundToDockWidget.cxx )
ot_add_source_file ( MarginalsWidget.cxx )
ot_add_source_file ( DependenciesWidget.cxx )
ot_add_source_file ( CopulaWidget.cxx )
ot_add_source_file ( CopulaInferenceWizard.cxx )
ot_add_source_file ( CopulaInferenceResultWizard.cxx )
ot_add_source_file ( AboutDialog.cxx )
ot_add_source_file ( SettingsDialog.cxx )
ot_add_source_file ( MeshDefinitionWizard.cxx )
ot_add_source_file ( FieldModelEvaluationResultWindow.cxx )
ot_add_source_file ( FieldMonteCarloWizard.cxx )
ot_add_source_file ( ExtractDataFieldWizard.cxx )
ot_add_source_file ( ObservationsWizard.cxx )
ot_add_source_file ( CalibrationAnalysisWizard.cxx )
ot_add_source_file ( CalibrationResultWindow.cxx )
ot_add_source_file ( CouplingModelWindow.cxx )
ot_add_source_file ( DataCleaningWizard.cxx )
ot_add_source_file ( AnsysWizard.cxx )
if (OTMORRIS_FOUND)
  ot_add_source_file ( ScreeningIntroPage.cxx )
  ot_add_source_file ( MorrisPage.cxx )
  ot_add_source_file ( ScreeningAnalysisWizard.cxx )
  ot_add_source_file ( MorrisResultWidget.cxx )
  ot_add_source_file ( MorrisResultWindow.cxx )
  ot_add_source_file ( ScreeningResultWizard.cxx )
endif ()

ot_install_header_file ( MainWindow.hxx )
ot_install_header_file ( MainWidget.hxx )
ot_install_header_file ( Actions.hxx )
ot_install_header_file ( ToolBar.hxx )
ot_install_header_file ( MenuBar.hxx )
ot_install_header_file ( DiagramWindow.hxx )
ot_install_header_file ( StatusBar.hxx )
ot_install_header_file ( Wizard.hxx )
ot_install_header_file ( SubWindowsStackedWidget.hxx )
ot_install_header_file ( StudyManager.hxx )
ot_install_header_file ( WindowFactory.hxx )
ot_install_header_file ( AnalysisWizard.hxx )
ot_install_header_file ( WelcomeWindow.hxx )
ot_install_header_file ( StudyWindow.hxx )
ot_install_header_file ( MeshWindow.hxx )
ot_install_header_file ( PhysicalModelDiagramWindow.hxx )
ot_install_header_file ( FieldModelDiagramWindow.hxx )
ot_install_header_file ( DataModelDiagramWindow.hxx )
ot_install_header_file ( ResultWindow.hxx )
ot_install_header_file ( BlockSizeGroupBox.hxx )
ot_install_header_file ( MinMaxTableGroupBox.hxx )
ot_install_header_file ( MomentsEstimatesTableGroupBox.hxx )
ot_install_header_file ( OutputsSelectionGroupBox.hxx )
ot_install_header_file ( ParametersWidget.hxx )
ot_install_header_file ( DataModelWindow.hxx )
ot_install_header_file ( DataAnalysisWindow.hxx )
ot_install_header_file ( DataAnalysisResultWindow.hxx )
ot_install_header_file ( AnalysisWindow.hxx )
ot_install_header_file ( ModelEvaluationWizard.hxx )
ot_install_header_file ( CentralTendencyIntroPage.hxx )
ot_install_header_file ( MonteCarloPage.hxx )
ot_install_header_file ( CentralTendencyWizard.hxx )
ot_install_header_file ( SensitivityIntroPage.hxx )
ot_install_header_file ( SobolPage.hxx )
ot_install_header_file ( SRCPage.hxx )
ot_install_header_file ( SensitivityAnalysisWizard.hxx )
ot_install_header_file ( LimitStateWindow.hxx )
ot_install_header_file ( ReliabilityIntroPage.hxx )
ot_install_header_file ( SimulationReliabilityPage.hxx )
ot_install_header_file ( ApproximationReliabilityPage.hxx )
ot_install_header_file ( ReliabilityAnalysisWizard.hxx )
ot_install_header_file ( SubWindow.hxx )
ot_install_header_file ( PhysicalModelWindowWidget.hxx )
ot_install_header_file ( SymbolicPhysicalModelWindow.hxx )
ot_install_header_file ( PythonPhysicalModelWindow.hxx )
ot_install_header_file ( MetaModelWindow.hxx )
if (SalomeYACS_FOUND)
  ot_install_header_file (YACSPhysicalModelWindow.hxx)
endif ()
if (OTFMI_FOUND)
  ot_install_header_file (FMIPhysicalModelWindow.hxx)
endif ()
ot_install_header_file ( CheckModelButtonGroup.hxx )
ot_install_header_file ( ProbabilisticModelWindow.hxx )
ot_install_header_file ( DesignOfExperimentWizard.hxx )
ot_install_header_file ( DesignOfExperimentWindow.hxx )
ot_install_header_file ( ModelEvaluationResultWindow.hxx )
ot_install_header_file ( MonteCarloResultWindow.hxx )
ot_install_header_file ( TaylorExpansionMomentsResultWindow.hxx )
ot_install_header_file ( SensitivityResultWidget.hxx )
ot_install_header_file ( SobolResultWindow.hxx )
ot_install_header_file ( SRCResultWindow.hxx )
ot_install_header_file ( SimulationReliabilityResultWindow.hxx )
ot_install_header_file ( ApproximationResultWindow.hxx )
ot_install_header_file ( ApproximationResultTabWidget.hxx )
ot_install_header_file ( StudyTreeView.hxx )
ot_install_header_file ( DesignOfExperimentIntroPage.hxx )
ot_install_header_file ( GridDesignPage.hxx )
ot_install_header_file ( ProbabilisticDesignPage.hxx )
ot_install_header_file ( ImportedDesignPage.hxx )
ot_install_header_file ( DesignOfExperimentInputWindow.hxx )
ot_install_header_file ( DesignOfExperimentEvaluationWizard.hxx )
ot_install_header_file ( StopCriteriaGroupBox.hxx )
ot_install_header_file ( ParametersDefinitionWizard.hxx )
ot_install_header_file ( MetaModelIntroPage.hxx )
ot_install_header_file ( KrigingPage.hxx )
ot_install_header_file ( FunctionalChaosPage.hxx )
ot_install_header_file ( PolynomialRegressionPage.hxx )
ot_install_header_file ( MetaModelAnalysisWizard.hxx )
ot_install_header_file ( MetaModelExportWizard.hxx )
ot_install_header_file ( MetaModelValidationPage.hxx )
ot_install_header_file ( MetaModelValidationWidget.hxx )
ot_install_header_file ( FunctionalChaosResultWindow.hxx )
ot_install_header_file ( KrigingResultWindow.hxx )
ot_install_header_file ( PolynomialRegressionResultWindow.hxx )
ot_install_header_file ( InferenceResultWindow.hxx )
ot_install_header_file ( InferenceResultWizard.hxx )
ot_install_header_file ( InferenceResultWidget.hxx )
ot_install_header_file ( Controller.hxx )
ot_install_header_file ( ControllerWidget.hxx )
ot_install_header_file ( CopulaInferenceResultWidget.hxx )
ot_install_header_file ( CopulaInferenceResultWindow.hxx )
ot_install_header_file ( CopulaParametersTabWidget.hxx )
ot_install_header_file ( OptimizationAlgoPage.hxx )
ot_install_header_file ( ConstraintsPage.hxx )
ot_install_header_file ( OptimizationWizard.hxx )
ot_install_header_file ( OptimizationResultWindow.hxx )
ot_install_header_file ( MultiObjectiveOptimizationResultWindow.hxx )
ot_install_header_file ( MultiObjectiveOptimizationWizard.hxx )
ot_install_header_file ( WidgetBoundToDockWidget.hxx )
ot_install_header_file ( MarginalsWidget.hxx )
ot_install_header_file ( DependenciesWidget.hxx )
ot_install_header_file ( CopulaWidget.hxx )
ot_install_header_file ( CopulaInferenceWizard.hxx )
ot_install_header_file ( CopulaInferenceResultWizard.hxx )
ot_install_header_file ( AboutDialog.hxx )
ot_install_header_file ( SettingsDialog.hxx )
ot_install_header_file ( MeshDefinitionWizard.hxx )
ot_install_header_file ( FieldModelEvaluationResultWindow.hxx )
ot_install_header_file ( FieldMonteCarloWizard.hxx )
ot_install_header_file ( ExtractDataFieldWizard.hxx )
ot_install_header_file ( ObservationsWizard.hxx )
ot_install_header_file ( ObservationsWindow.hxx )
ot_install_header_file ( CalibrationAnalysisWizard.hxx )
ot_install_header_file ( CalibrationResultWindow.hxx )
ot_install_header_file ( CouplingModelWindow.hxx )
ot_install_header_file ( DataCleaningWizard.hxx )

=== debian/changelog ===
persalys (16.1+ds-1) unstable; urgency=medium

  * New upstream version 16.1+ds
  * Removing patches, now upstreamed
  * Removing now unneeded B-D on libhmat-oss-dev

 -- Pierre Gruet <pgt@debian.org>  Fri, 05 Jul 2024 23:34:59 +0200

persalys (16.0+ds-2) unstable; urgency=medium

  * Upload to unstable of this version which complies with newest openturns
    (Closes: #1062715)
  * Reworking AppStream metainfo file

 -- Pierre Gruet <pgt@debian.org>  Sat, 15 Jun 2024 21:44:41 +0200

persalys (16.0+ds-1) experimental; urgency=medium

  * New upstream version 16.0+ds
  * Removing upstreamed patch
  * Raising Standards version to 4.7.0 (no change)
  * Updating d/copyright
  * Deactivating comparisons to expected test output for some tests

 -- Pierre Gruet <pgt@debian.org>  Fri, 14 Jun 2024 22:34:42 +0200

persalys (15.1+ds-1) experimental; urgency=medium

  * New upstream version 15.1+ds
  * Removing patches, all having been upstreamed
  * Updating versioned B-D on openturns
  * Updating the list of Boost B-D
  * Rely on pre-initialized dpkg-architecture variables.
  * Adding '-platform minimal' to some test to remove test-time failures

 -- Pierre Gruet <pgt@debian.org>  Wed, 20 Mar 2024 15:09:34 +0100

=== debian/control ===
Source: persalys
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>,
           Julien Schueller <schueller@phimeca.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               dh-python,
               python3-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Arch: gfortran,
                    docbook-to-man,
                    libboost-locale-dev,
                    libboost-program-options-dev,
                    libopenturns-dev (>= 1.22),
                    libqt5opengl5-dev,
                    libqwt-qt5-dev,
                    poppler-utils,
                    python3-openturns (>= 1.22),
                    swig,
                    texlive,
                    texlive-latex-extra
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/persalys
Vcs-Git: https://salsa.debian.org/science-team/persalys.git
Homepage: https://www.persalys.fr/
Rules-Requires-Root: no

Package: libpersalys0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GUI for uncertainty treatment (shared libraries)
 Persalys is a graphical user interface for OpenTURNS, dedicated to the
 treatment of uncertainty and the management of variabilities. The software is
 a tool between the computer simulation, probabilistic analyses and the data
 sciences. The interface is available in French or in English.
 .
 Persalys allows one to:
  - create mathematical models: analytical, coupling with an external model
  (finite elements, ...), FMU;
  - analyse the variability of one's parameters thanks to many methods and
  visualisation tools;
  - statistically analyse one's measuring data, infer probability distributions
  or create metamodels.
 .
 This package contains the shared libraries.

Package: libpersalys-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         libpersalys0 (= ${binary:Version}),
         ${misc:Depends}
Description: GUI for uncertainty treatment (development files)
 Persalys is a graphical user interface for OpenTURNS, dedicated to the
 treatment of uncertainty and the management of variabilities. The software is
 a tool between the computer simulation, probabilistic analyses and the data
 sciences. The interface is available in French or in English.
 .
 Persalys allows one to:
  - create mathematical models: analytical, coupling with an external model
  (finite elements, ...), FMU;
  - analyse the variability of one's parameters thanks to many methods and
  visualisation tools;
  - statistically analyse one's measuring data, infer probability distributions
  or create metamodels.
 .
 This package contains the development files.

Package: persalys
Architecture: any
Depends: ${shlibs:Depends},
         libpersalys0 (= ${binary:Version}),
         python3-persalys (= ${binary:Version}),
         ${misc:Depends}
Description: GUI for uncertainty treatment and variabilities management
 Persalys is a graphical user interface for OpenTURNS, dedicated to the
 treatment of uncertainty and the management of variabilities. The software is
 a tool between the computer simulation, probabilistic analyses and the data
 sciences. The interface is available in French or in English.
 .
 Persalys allows one to:
  - create mathematical models: analytical, coupling with an external model
  (finite elements, ...), FMU;
  - analyse the variability of one's parameters thanks to many methods and
  visualisation tools;
  - statistically analyse one's measuring data, infer probability distributions
  or create metamodels.

Package: python3-persalys
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         libpersalys0 (= ${binary:Version}),
         python3-openturns (>= 1.21.1),
         ${misc:Depends},
         ${python3:Depends}
Description: GUI for uncertainty treatment (Python bindings)
 Persalys is a graphical user interface for OpenTURNS, dedicated to the
 treatment of uncertainty and the management of variabilities. The software is
 a tool between the computer simulation, probabilistic analyses and the data
 sciences. The interface is available in French or in English.
 .
 Persalys allows one to:
  - create mathematical models: analytical, coupling with an external model
  (finite elements, ...), FMU;
  - analyse the variability of one's parameters thanks to many methods and
  visualisation tools;
  - statistically analyse one's measuring data, infer probability distributions
  or create metamodels.
 .
 This package contains the Python3 bindings.
